Subject: Re: [PATCH net 0/8] IPVS fixes for net

From: Pablo Neira Ayuso <[email-masked]>
Date: Wed, 6 May 2026 17:16:38 +0200

Hi Julian,

Cc'ing Waiman Long and NOHZ maintainers (apologies if this is dragging
more people that I should into this issue).

On Wed, May 06, 2026 at 11:56:05AM +0300, Julian Anastasov wrote:
[...]
> 	Here are some comments after the last review from
> Sashiko:
> 
> https://sashiko.dev/#/patchset/20260505001648.360569-1-pablo%40netfilter.org
> 
> Patch 1:
> - while ip_vs_dst_event() should loop and ensure all dev
> references are released, single change of svc_table_changes
> does not indicate the old references are dropped by ip_vs_flush() or
> ip_vs_del_service(). I'll post new change to abort the loop
> when we are sure the services are at least once released.
> 
> Patch 5:
> - after executing ip_vs_est_calc_phase(), data can
> remain only for kt0 because all estimators are stopped,
> unlinked and the kt data structures for kt > 0 are empty
> and as result freed and the kthread tasks stopped (which
> happens early). After this, kt 0 calls
> ip_vs_est_drain_temp_list() as part of its loop,
> so it will eventually call ip_vs_est_add_kthread()
> and ip_vs_est_reload_start() to request kthread tasks
> to be started if data for new kthreads are created.
> So, I don't see problem here.
> 
> Patch 6:
> - we will add conn_max sysctl soon

OK, just follow up on these for 1 and 6, thanks.

> Patch 7 and 8:
> - I can not decide how valid are the concerns in the review.

Placing here links for convenience:

https://sashiko.dev/#/message/20260505001648.360569-8-pablo%40netfilter.org
https://sashiko.dev/#/message/20260505001648.360569-9-pablo%40netfilter.org

This is away from my limited scope of knowledged.